Skip to main content
POST
/
submission
/
{displayId}
/
{transactionId}
/
trailer
Add Trailer
curl --request POST \
  --url https://app.coverwhale.com/api/v1/submission/{displayId}/{transactionId}/trailer \
  --header 'AccessToken: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vehicle_id_number": "<string>",
  "year": 2020,
  "make": "GREAT DANE",
  "model": "FREEDOM",
  "value": 25000,
  "body_type": "<string>",
  "ownership": "owned",
  "deductible": 123
}
'
{
  "status": "success",
  "trailer_id": 123,
  "submission_number": "<string>",
  "transaction_id": 123
}

Authorizations

AccessToken
string
header
required

AWS Cognito access token obtained from the /authentication endpoint. Token expires after 3600 seconds.

Headers

AccessToken
string
required

Path Parameters

displayId
string
required
transactionId
integer
required

Body

application/json
vehicle_id_number
string
required

VIN (10-17 chars)

year
integer
required
Example:

2020

make
string
required
Example:

"GREAT DANE"

model
string
required
Example:

"FREEDOM"

value
integer
required
Example:

25000

body_type
string

Trailer body type key

ownership
enum<string>

Trailer ownership

Available options:
owned,
non-owned
deductible
integer

Custom deductible override

Response

Trailer added

status
string
Example:

"success"

trailer_id
integer
submission_number
string
transaction_id
integer